import { _decorator, Component } from "cc";
import { WeaponManager } from "./WeaponManager";

const { ccclass, property } = _decorator;
@ccclass('npc')
export class npc extends Component {
    private _weaponMg : WeaponManager;
    onLoad() {
        this._weaponMg = this.node.getComponent(WeaponManager);
        this._weaponMg.setup({
            faction:2,
            orbitRadius: 100,
            skin: "baise",
            speed: 1
        }, 6);
    }
}