import { _decorator, Component, EPhysics2DDrawFlags, instantiate, JsonAsset, Node, PhysicsSystem2D, Prefab } from 'cc';

const { ccclass, property } = _decorator;

@ccclass('PDGameScene')
export class PDGameScene extends Component {
     @property({
            type: Prefab
        })
        root: Prefab = null!;
    
    protected start(): void {
       
    }
    protected onLoad(): void {
       
        PhysicsSystem2D.instance.enable = true;
        PhysicsSystem2D.instance.debugDrawFlags = EPhysics2DDrawFlags.Aabb |
            EPhysics2DDrawFlags.Pair |
            EPhysics2DDrawFlags.CenterOfMass |
            EPhysics2DDrawFlags.Joint |
            EPhysics2DDrawFlags.Shape;

        let a = instantiate(this.root)
        a.parent = this.node
    }

}


